Free Support Forum - aspose.com

Support of backward compatibility by Aspose.Words for Java and Aspose.Cells for Java

Dear Aspose support team,

For one of our customers we will take on the task of updating their legacy software. This includes an old version of Aspose Words for Java (version 13.5.0, JDK 16) and an old version of Aspose Cells for Java (version 7.5.0). We cannot currently estimate how much effort it will cost us to update both to the latest versions.

Hence the questions:

  • Are the versions backwards compatible?
  • If not, how big are the changes in the API from the mentioned versions to the current versions?
  • Is there a documented migration path?
  • Is there tool support for such a migration?

Thanks a lot
With kind regards
Lars Timm

@S.Nickers

There is no backwards compatible. Please note that we do not provide support for older released versions of Aspose.Words. Moreover, we do not provide any fixes or patches for old versions of Aspose products either. All fixes and new features are always added into new versions of our products.

Aspose does not provide API for migration.

You can find the API changes detail in release notes pages of Aspose.Words and Aspose.Cells here:

https://docs.aspose.com/display/wordsnet/Release+Notes
https://docs.aspose.com/display/cellsnet/Release+Notes